Index: /branches/version-2_13-dev/data/class/helper/SC_Helper_DB.php
===================================================================
--- /branches/version-2_13-dev/data/class/helper/SC_Helper_DB.php	(revision 22960)
+++ /branches/version-2_13-dev/data/class/helper/SC_Helper_DB.php	(revision 23124)
@@ -32,14 +32,14 @@
 {
     /** ルートカテゴリ取得フラグ */
-    var $g_root_on;
+    public $g_root_on;
 
     /** ルートカテゴリID */
-    var $g_root_id;
+    public $g_root_id;
 
     /** 選択中カテゴリ取得フラグ */
-    var $g_category_on;
+    public $g_category_on;
 
     /** 選択中カテゴリID */
-    var $g_category_id;
+    public $g_category_id;
 
     /**
@@ -50,14 +50,14 @@
      * カラムの生成も行う場合は, $col_type も必須となる.
      *
-     * @param string $$tableName テーブル名
-     * @param string $column_name カラム名
-     * @param string $col_type カラムのデータ型
-     * @param string $dsn データソース名
-     * @param bool $add カラムの作成も行う場合 true
-     * @return bool カラムが存在する場合とカラムの生成に成功した場合 true,
+     * @param  string $$tableName  テーブル名
+     * @param  string $column_name カラム名
+     * @param  string $col_type    カラムのデータ型
+     * @param  string $dsn         データソース名
+     * @param  bool   $add         カラムの作成も行う場合 true
+     * @return bool   カラムが存在する場合とカラムの生成に成功した場合 true,
      *               テーブルが存在しない場合 false,
      *               引数 $add == false でカラムが存在しない場合 false
      */
-    function sfColumnExists($tableName, $colName, $colType = '', $dsn = '', $add = false)
+    public function sfColumnExists($tableName, $colName, $colType = '', $dsn = '', $add = false)
     {
         $dbFactory = SC_DB_DBFactory_Ex::getInstance();
@@ -87,5 +87,6 @@
     }
 
-    function sfColumnAdd($tableName, $colName, $colType) {
+    public function sfColumnAdd($tableName, $colName, $colType)
+    {
         $objQuery =& SC_Query_Ex::getSingletonInstance($dsn);
 
@@ -96,11 +97,11 @@
      * データの存在チェックを行う.
      *
-     * @param string $tableName テーブル名
-     * @param string $where データを検索する WHERE 句
-     * @param array $arrWhereVal WHERE句のプレースホルダ値
-     * @return bool データが存在する場合 true, データの追加に成功した場合 true,
+     * @param  string $tableName   テーブル名
+     * @param  string $where       データを検索する WHERE 句
+     * @param  array  $arrWhereVal WHERE句のプレースホルダ値
+     * @return bool   データが存在する場合 true, データの追加に成功した場合 true,
      *               $add == false で, データが存在しない場合 false
      */
-    function sfDataExists($tableName, $where, $arrWhereVal)
+    public function sfDataExists($tableName, $where, $arrWhereVal)
     {
         $dbFactory = SC_DB_DBFactory_Ex::getInstance();
@@ -124,8 +125,8 @@
      * 2回目以降はキャッシュされた結果を使用する.
      *
-     * @param boolean $force 強制的にDB取得するか
-     * @return array 店舗基本情報の配列
-     */
-    function sfGetBasisData($force = false)
+     * @param  boolean $force 強制的にDB取得するか
+     * @return array   店舗基本情報の配列
+     */
+    public function sfGetBasisData($force = false)
     {
         static $arrData = null;
@@ -143,8 +144,8 @@
      * 基本情報のキャッシュデータを取得する
      *
-     * @param boolean $generate キャッシュファイルが無い時、DBのデータを基にキャッシュを生成するか
-     * @return array 店舗基本情報の配列
-     */
-    function sfGetBasisDataCache($generate = false)
+     * @param  boolean $generate キャッシュファイルが無い時、DBのデータを基にキャッシュを生成するか
+     * @return array   店舗基本情報の配列
+     */
+    public function sfGetBasisDataCache($generate = false)
     {
         // テーブル名
@@ -179,5 +180,5 @@
      * @return bool キャッシュデータファイル生成結果
      */
-    function sfCreateBasisDataCache()
+    public function sfCreateBasisDataCache()
     {
         // テーブル名
@@ -199,5 +200,5 @@
         // ファイルを閉じる
         fclose($handle);
-        if ( $res === false) {
+        if ($res === false) {
             // ファイル生成失敗
             return false;
@@ -213,5 +214,5 @@
      * @deprecated
      */
-    function sfGetBasisCount()
+    public function sfGetBasisCount()
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -225,5 +226,5 @@
      * @return boolean 有無
      */
-    function sfGetBasisExists()
+    public function sfGetBasisExists()
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -233,5 +234,5 @@
 
     /* 選択中のアイテムのルートカテゴリIDを取得する */
-    function sfGetRootId()
+    public function sfGetRootId()
     {
         if (!$this->g_root_on) {
@@ -264,11 +265,11 @@
      * 受注番号、最終ポイント、加算ポイント、利用ポイントから「オーダー前ポイント」を取得する
      *
-     * @param integer $order_id 受注番号
-     * @param integer $use_point 利用ポイント
-     * @param integer $add_point 加算ポイント
-     * @param integer $order_status 対応状況
-     * @return array オーダー前ポイントの配列
-     */
-    function sfGetRollbackPoint($order_id, $use_point, $add_point, $order_status)
+     * @param  integer $order_id     受注番号
+     * @param  integer $use_point    利用ポイント
+     * @param  integer $add_point    加算ポイント
+     * @param  integer $order_status 対応状況
+     * @return array   オーダー前ポイントの配列
+     */
+    public function sfGetRollbackPoint($order_id, $use_point, $add_point, $order_status)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -300,9 +301,9 @@
      * カテゴリツリーの取得を行う.
      *
-     * @param integer $parent_category_id 親カテゴリID
-     * @param bool $count_check 登録商品数のチェックを行う場合 true
-     * @return array カテゴリツリーの配列
-     */
-    function sfGetCatTree($parent_category_id, $count_check = false)
+     * @param  integer $parent_category_id 親カテゴリID
+     * @param  bool    $count_check        登録商品数のチェックを行う場合 true
+     * @return array   カテゴリツリーの配列
+     */
+    public function sfGetCatTree($parent_category_id, $count_check = false)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -351,5 +352,5 @@
      * @see sfGetCatTree()
      */
-    function findTree(&$arrTree, $parent, &$result)
+    public function findTree(&$arrTree, $parent, &$result)
     {
         if ($result[count($result) - 1]['parent_category_id'] === 0) {
@@ -372,9 +373,9 @@
      * カテゴリツリーの取得を複数カテゴリで行う.
      *
-     * @param integer $product_id 商品ID
-     * @param bool $count_check 登録商品数のチェックを行う場合 true
-     * @return array カテゴリツリーの配列
-     */
-    function sfGetMultiCatTree($product_id, $count_check = false)
+     * @param  integer $product_id  商品ID
+     * @param  bool    $count_check 登録商品数のチェックを行う場合 true
+     * @return array   カテゴリツリーの配列
+     */
+    public function sfGetMultiCatTree($product_id, $count_check = false)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -422,8 +423,8 @@
      * 親カテゴリを連結した文字列を取得する.
      *
-     * @param integer $category_id カテゴリID
-     * @return string 親カテゴリを連結した文字列
-     */
-    function sfGetCatCombName($category_id)
+     * @param  integer $category_id カテゴリID
+     * @return string  親カテゴリを連結した文字列
+     */
+    public function sfGetCatCombName($category_id)
     {
         // 商品が属するカテゴリIDを縦に取得
@@ -448,8 +449,8 @@
      * 指定したカテゴリIDの大カテゴリを取得する.
      *
-     * @param integer $category_id カテゴリID
-     * @return array 指定したカテゴリIDの大カテゴリ
-     */
-    function sfGetFirstCat($category_id)
+     * @param  integer $category_id カテゴリID
+     * @return array   指定したカテゴリIDの大カテゴリ
+     */
+    public function sfGetFirstCat($category_id)
     {
         // 商品が属するカテゴリIDを縦に取得
@@ -472,10 +473,10 @@
      * $products_check:true商品登録済みのものだけ取得する
      *
-     * @param string $addwhere 追加する WHERE 句
-     * @param bool $products_check 商品の存在するカテゴリのみ取得する場合 true
-     * @param string $head カテゴリ名のプレフィックス文字列
-     * @return array カテゴリツリーの配列
-     */
-    function sfGetCategoryList($addwhere = '', $products_check = false, $head = CATEGORY_HEAD)
+     * @param  string $addwhere       追加する WHERE 句
+     * @param  bool   $products_check 商品の存在するカテゴリのみ取得する場合 true
+     * @param  string $head           カテゴリ名のプレフィックス文字列
+     * @return array  カテゴリツリーの配列
+     */
+    public function sfGetCategoryList($addwhere = '', $products_check = false, $head = CATEGORY_HEAD)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -515,8 +516,8 @@
      * 親カテゴリの Value=0 を対象とする
      *
-     * @param bool $parent_zero 親カテゴリの Value=0 の場合 true
+     * @param  bool  $parent_zero 親カテゴリの Value=0 の場合 true
      * @return array カテゴリツリーの配列
      */
-    function sfGetLevelCatList($parent_zero = true)
+    public function sfGetLevelCatList($parent_zero = true)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -563,10 +564,10 @@
      * 選択中の商品のカテゴリを取得する.
      *
-     * @param integer $product_id プロダクトID
-     * @param integer $category_id カテゴリID
-     * @return array 選択中の商品のカテゴリIDの配列
-     *
-     */
-    function sfGetCategoryId($product_id, $category_id = 0, $closed = false)
+     * @param  integer $product_id  プロダクトID
+     * @param  integer $category_id カテゴリID
+     * @return array   選択中の商品のカテゴリIDの配列
+     *
+     */
+    public function sfGetCategoryId($product_id, $category_id = 0, $closed = false)
     {
         if ($closed) {
@@ -579,5 +580,5 @@
         if (SC_Utils_Ex::sfIsInt($category_id) && $category_id != 0 && SC_Helper_DB_Ex::sfIsRecord('dtb_category','category_id', $category_id)) {
             $category_id = array($category_id);
-        } else if (SC_Utils_Ex::sfIsInt($product_id) && $product_id != 0 && SC_Helper_DB_Ex::sfIsRecord('dtb_products','product_id', $product_id, $status)) {
+        } elseif (SC_Utils_Ex::sfIsInt($product_id) && $product_id != 0 && SC_Helper_DB_Ex::sfIsRecord('dtb_products','product_id', $product_id, $status)) {
             $objQuery =& SC_Query_Ex::getSingletonInstance();
             $category_id = $objQuery->getCol('category_id', 'dtb_product_categories', 'product_id = ?', array($product_id));
@@ -593,9 +594,9 @@
      * 商品をカテゴリの先頭に追加する.
      *
-     * @param integer $category_id カテゴリID
-     * @param integer $product_id プロダクトID
+     * @param  integer $category_id カテゴリID
+     * @param  integer $product_id  プロダクトID
      * @return void
      */
-    function addProductBeforCategories($category_id, $product_id)
+    public function addProductBeforCategories($category_id, $product_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -615,9 +616,9 @@
      * 商品をカテゴリの末尾に追加する.
      *
-     * @param integer $category_id カテゴリID
-     * @param integer $product_id プロダクトID
+     * @param  integer $category_id カテゴリID
+     * @param  integer $product_id  プロダクトID
      * @return void
      */
-    function addProductAfterCategories($category_id, $product_id)
+    public function addProductAfterCategories($category_id, $product_id)
     {
         $sqlval = array('category_id' => $category_id,
@@ -648,9 +649,9 @@
      * 商品をカテゴリから削除する.
      *
-     * @param integer $category_id カテゴリID
-     * @param integer $product_id プロダクトID
+     * @param  integer $category_id カテゴリID
+     * @param  integer $product_id  プロダクトID
      * @return void
      */
-    function removeProductByCategories($category_id, $product_id)
+    public function removeProductByCategories($category_id, $product_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -662,9 +663,9 @@
      * 商品カテゴリを更新する.
      *
-     * @param array $arrCategory_id 登録するカテゴリIDの配列
-     * @param integer $product_id プロダクトID
+     * @param  array   $arrCategory_id 登録するカテゴリIDの配列
+     * @param  integer $product_id     プロダクトID
      * @return void
      */
-    function updateProductCategories($arrCategory_id, $product_id)
+    public function updateProductCategories($arrCategory_id, $product_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -695,9 +696,9 @@
      *
      *
-     * @param SC_Query $objQuery SC_Query インスタンス
-     * @param boolean $is_force_all_count 全カテゴリの集計を強制する場合 true
+     * @param  SC_Query $objQuery           SC_Query インスタンス
+     * @param  boolean  $is_force_all_count 全カテゴリの集計を強制する場合 true
      * @return void
      */
-    function sfCountCategory($objQuery = NULL, $is_force_all_count = false)
+    public function sfCountCategory($objQuery = NULL, $is_force_all_count = false)
     {
         $objProduct = new SC_Product_Ex();
@@ -783,4 +784,5 @@
                 $objQuery->commit();
             }
+
             return;
         }
@@ -793,7 +795,7 @@
             $sqlval = array();
             $sqlval['create_date'] = 'CURRENT_TIMESTAMP';
-            $sqlval['product_count'] = (string)$arrNew[$cid];
+            $sqlval['product_count'] = (string) $arrNew[$cid];
             if ($sqlval['product_count'] =='') {
-                $sqlval['product_count'] = (string)'0';
+                $sqlval['product_count'] = (string) '0';
             }
             if (isset($arrOld[$cid])) {
@@ -854,5 +856,5 @@
             $sqlval['product_count'] = $count;
             if ($sqlval['product_count'] =='') {
-                $sqlval['product_count'] = (string)'0';
+                $sqlval['product_count'] = (string) '0';
             }
             $ret = $objQuery->update('dtb_category_total_count', $sqlval, 'category_id = ?', array($cid));
@@ -871,11 +873,11 @@
      * 子IDの配列を返す.
      *
-     * @param string $table テーブル名
-     * @param string $pid_name 親ID名
-     * @param string $id_name ID名
-     * @param integer $id ID
+     * @param string  $table    テーブル名
+     * @param string  $pid_name 親ID名
+     * @param string  $id_name  ID名
+     * @param integer $id       ID
      * @param array 子ID の配列
      */
-    function sfGetChildsID($table, $pid_name, $id_name, $id)
+    public function sfGetChildsID($table, $pid_name, $id_name, $id)
     {
         $arrRet = $this->sfGetChildrenArray($table, $pid_name, $id_name, $id);
@@ -887,11 +889,11 @@
      * 階層構造のテーブルから子ID配列を取得する.
      *
-     * @param string $table テーブル名
-     * @param string $pid_name 親ID名
-     * @param string $id_name ID名
-     * @param integer $id ID番号
-     * @return array 子IDの配列
-     */
-    function sfGetChildrenArray($table, $pid_name, $id_name, $id)
+     * @param  string  $table    テーブル名
+     * @param  string  $pid_name 親ID名
+     * @param  string  $id_name  ID名
+     * @param  integer $id       ID番号
+     * @return array   子IDの配列
+     */
+    public function sfGetChildrenArray($table, $pid_name, $id_name, $id)
     {
         $arrChildren = array();
@@ -909,11 +911,11 @@
      * 親ID直下の子IDを全て取得する.
      *
-     * @param array $arrData 親カテゴリの配列
-     * @param string $pid_name 親ID名
-     * @param string $id_name ID名
-     * @param array $arrPID 親IDの配列
-     * @return array 子IDの配列
-     */
-    function sfGetChildrenArraySub($table, $pid_name, $id_name, $arrPID)
+     * @param  array  $arrData  親カテゴリの配列
+     * @param  string $pid_name 親ID名
+     * @param  string $id_name  ID名
+     * @param  array  $arrPID   親IDの配列
+     * @return array  子IDの配列
+     */
+    public function sfGetChildrenArraySub($table, $pid_name, $id_name, $arrPID)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -929,12 +931,12 @@
      * 所属する全ての階層の親IDを配列で返す.
      *
-     * @param SC_Query $objQuery SC_Query インスタンス
-     * @param string $table テーブル名
-     * @param string $pid_name 親ID名
-     * @param string $id_name ID名
-     * @param integer $id ID
-     * @return array 親IDの配列
-     */
-    function sfGetParents($table, $pid_name, $id_name, $id)
+     * @param  SC_Query $objQuery SC_Query インスタンス
+     * @param  string   $table    テーブル名
+     * @param  string   $pid_name 親ID名
+     * @param  string   $id_name  ID名
+     * @param  integer  $id       ID
+     * @return array    親IDの配列
+     */
+    public function sfGetParents($table, $pid_name, $id_name, $id)
     {
         $arrRet = SC_Helper_DB_Ex::sfGetParentsArray($table, $pid_name, $id_name, $id);
@@ -946,11 +948,11 @@
      * 階層構造のテーブルから親ID配列を取得する.
      *
-     * @param string $table テーブル名
-     * @param string $pid_name 親ID名
-     * @param string $id_name ID名
-     * @param integer $id ID
-     * @return array 親IDの配列
-     */
-    function sfGetParentsArray($table, $pid_name, $id_name, $id)
+     * @param  string  $table    テーブル名
+     * @param  string  $pid_name 親ID名
+     * @param  string  $id_name  ID名
+     * @param  integer $id       ID
+     * @return array   親IDの配列
+     */
+    public function sfGetParentsArray($table, $pid_name, $id_name, $id)
     {
         $arrParents = array();
@@ -968,5 +970,5 @@
 
     /* 子ID所属する親IDを取得する */
-    function sfGetParentsArraySub($table, $pid_name, $id_name, $child)
+    public function sfGetParentsArraySub($table, $pid_name, $id_name, $child)
     {
         if (SC_Utils_Ex::isBlank($child)) {
@@ -985,8 +987,8 @@
      * カテゴリから商品を検索する場合のWHERE文と値を返す.
      *
-     * @param integer $category_id カテゴリID
-     * @return array 商品を検索する場合の配列
-     */
-    function sfGetCatWhere($category_id)
+     * @param  integer $category_id カテゴリID
+     * @return array   商品を検索する場合の配列
+     */
+    public function sfGetCatWhere($category_id)
     {
         // 子カテゴリIDの取得
@@ -1001,12 +1003,12 @@
      * SELECTボックス用リストを作成する.
      *
-     * @param string $table テーブル名
-     * @param string $keyname プライマリーキーのカラム名
-     * @param string $valname データ内容のカラム名
-     * @param string $where WHERE句
-     * @param array $arrWhereVal プレースホルダ
-     * @return array SELECT ボックス用リストの配列
-     */
-    function sfGetIDValueList($table, $keyname, $valname, $where = '', $arrVal = array())
+     * @param  string $table       テーブル名
+     * @param  string $keyname     プライマリーキーのカラム名
+     * @param  string $valname     データ内容のカラム名
+     * @param  string $where       WHERE句
+     * @param  array  $arrWhereVal プレースホルダ
+     * @return array  SELECT ボックス用リストの配列
+     */
+    public function sfGetIDValueList($table, $keyname, $valname, $where = '', $arrVal = array())
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -1029,11 +1031,11 @@
      * ランキングを上げる.
      *
-     * @param string $table テーブル名
-     * @param string $colname カラム名
-     * @param string|integer $id テーブルのキー
-     * @param string $andwhere SQL の AND 条件である WHERE 句
+     * @param  string         $table    テーブル名
+     * @param  string         $colname  カラム名
+     * @param  string|integer $id       テーブルのキー
+     * @param  string         $andwhere SQL の AND 条件である WHERE 句
      * @return void
      */
-    function sfRankUp($table, $colname, $id, $andwhere = '')
+    public function sfRankUp($table, $colname, $id, $andwhere = '')
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -1081,11 +1083,11 @@
      * ランキングを下げる.
      *
-     * @param string $table テーブル名
-     * @param string $colname カラム名
-     * @param string|integer $id テーブルのキー
-     * @param string $andwhere SQL の AND 条件である WHERE 句
+     * @param  string         $table    テーブル名
+     * @param  string         $colname  カラム名
+     * @param  string|integer $id       テーブルのキー
+     * @param  string         $andwhere SQL の AND 条件である WHERE 句
      * @return void
      */
-    function sfRankDown($table, $colname, $id, $andwhere = '')
+    public function sfRankDown($table, $colname, $id, $andwhere = '')
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -1132,12 +1134,12 @@
      * 指定順位へ移動する.
      *
-     * @param string $tableName テーブル名
-     * @param string $keyIdColumn キーを保持するカラム名
-     * @param string|integer $keyId キーの値
-     * @param integer $pos 指定順位
-     * @param string $where SQL の AND 条件である WHERE 句
+     * @param  string         $tableName   テーブル名
+     * @param  string         $keyIdColumn キーを保持するカラム名
+     * @param  string|integer $keyId       キーの値
+     * @param  integer        $pos         指定順位
+     * @param  string         $where       SQL の AND 条件である WHERE 句
      * @return void
      */
-    function sfMoveRank($tableName, $keyIdColumn, $keyId, $pos, $where = '')
+    public function sfMoveRank($tableName, $keyIdColumn, $keyId, $pos, $where = '')
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -1182,12 +1184,13 @@
      * 指定位置が1番下へ移動なら、newRankは1
      *
-     * @param int $position 指定された位置
-     * @param int $maxRank 現在のランク最大値
+     * @param  int $position 指定された位置
+     * @param  int $maxRank  現在のランク最大値
      * @return int $newRank DBに登録するRANK値
      */
-    function getNewRank($position, $maxRank) {
+    public function getNewRank($position, $maxRank)
+    {
         if ($position > $maxRank) {
             $newRank = 1;
-        } else if ($position < 1) {
+        } elseif ($position < 1) {
             $newRank = $maxRank;
         } else {
@@ -1201,11 +1204,12 @@
      * 指定した順位の商品から移動させる商品までのrankを１つずらす
      *
-     * @param int $newRank
-     * @param int $oldRank
-     * @param object $objQuery
-     * @param string $where
+     * @param  int     $newRank
+     * @param  int     $oldRank
+     * @param  object  $objQuery
+     * @param  string  $where
      * @return boolean
      */
-    function moveOtherItemRank($newRank, $oldRank, &$objQuery, $tableName, $addWhere) {
+    public function moveOtherItemRank($newRank, $oldRank, &$objQuery, $tableName, $addWhere)
+    {
         $sqlval = array();
         $arrRawSql = array();
@@ -1218,5 +1222,5 @@
             $arrRawSql['rank'] = 'rank - 1';
             $arrWhereVal = array($oldRank + 1, $newRank);
-        } else if ($newRank < $oldRank) {
+        } elseif ($newRank < $oldRank) {
             //位置を下げる場合、他の商品の位置を1つ上げる（ランクを1上げる）
             $arrRawSql['rank'] = 'rank + 1';
@@ -1235,13 +1239,13 @@
      * レコードごと削除する場合は、$deleteをtrueにする
      *
-     * @param string $table テーブル名
-     * @param string $colname カラム名
-     * @param string|integer $id テーブルのキー
-     * @param string $andwhere SQL の AND 条件である WHERE 句
-     * @param bool $delete レコードごと削除する場合 true,
+     * @param string         $table    テーブル名
+     * @param string         $colname  カラム名
+     * @param string|integer $id       テーブルのキー
+     * @param string         $andwhere SQL の AND 条件である WHERE 句
+     * @param bool           $delete   レコードごと削除する場合 true,
      *                     レコードごと削除しない場合 false
      * @return void
      */
-    function sfDeleteRankRecord($table, $colname, $id, $andwhere = '',
+    public function sfDeleteRankRecord($table, $colname, $id, $andwhere = '',
                                 $delete = false) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -1285,12 +1289,12 @@
      * 親IDの配列を元に特定のカラムを取得する.
      *
-     * @param SC_Query $objQuery SC_Query インスタンス
-     * @param string $table テーブル名
-     * @param string $id_name ID名
-     * @param string $col_name カラム名
-     * @param array $arrId IDの配列
-     * @return array 特定のカラムの配列
-     */
-    function sfGetParentsCol($objQuery, $table, $id_name, $col_name, $arrId)
+     * @param  SC_Query $objQuery SC_Query インスタンス
+     * @param  string   $table    テーブル名
+     * @param  string   $id_name  ID名
+     * @param  string   $col_name カラム名
+     * @param  array    $arrId    IDの配列
+     * @return array    特定のカラムの配列
+     */
+    public function sfGetParentsCol($objQuery, $table, $id_name, $col_name, $arrId)
     {
         $col = $col_name;
@@ -1317,14 +1321,14 @@
      * ※この関数って、どこからも呼ばれていないのでは？？
      *
-     * @param SC_Query $objQuery SC_Query インスタンス
-     * @param string $table テーブル名
-     * @param string $id_name ID名
-     * @param string $cat_name カテゴリ名
-     * @param integer $old_catid 旧カテゴリID
-     * @param integer $new_catid 新カテゴリID
-     * @param integer $id ID
+     * @param  SC_Query $objQuery  SC_Query インスタンス
+     * @param  string   $table     テーブル名
+     * @param  string   $id_name   ID名
+     * @param  string   $cat_name  カテゴリ名
+     * @param  integer  $old_catid 旧カテゴリID
+     * @param  integer  $new_catid 新カテゴリID
+     * @param  integer  $id        ID
      * @return void
      */
-    function sfMoveCatRank($objQuery, $table, $id_name, $cat_name, $old_catid, $new_catid, $id)
+    public function sfMoveCatRank($objQuery, $table, $id_name, $cat_name, $old_catid, $new_catid, $id)
     {
         if ($old_catid == $new_catid) {
@@ -1360,11 +1364,11 @@
      * TODO SC_Query に移行するべきか？
      *
-     * @param string $table テーブル名
-     * @param string $col カラム名
-     * @param array $arrVal 要素の配列
-     * @param array $addwhere SQL の AND 条件である WHERE 句
-     * @return bool レコードが存在する場合 true
-     */
-    function sfIsRecord($table, $col, $arrVal, $addwhere = '')
+     * @param  string $table    テーブル名
+     * @param  string $col      カラム名
+     * @param  array  $arrVal   要素の配列
+     * @param  array  $addwhere SQL の AND 条件である WHERE 句
+     * @return bool   レコードが存在する場合 true
+     */
+    public function sfIsRecord($table, $col, $arrVal, $addwhere = '')
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -1398,8 +1402,8 @@
      * メーカー商品数数の登録を行う.
      *
-     * @param SC_Query $objQuery SC_Query インスタンス
+     * @param  SC_Query $objQuery SC_Query インスタンス
      * @return void
      */
-    function sfCountMaker($objQuery)
+    public function sfCountMaker($objQuery)
     {
         $sql = '';
@@ -1421,10 +1425,10 @@
      * 選択中の商品のメーカーを取得する.
      *
-     * @param integer $product_id プロダクトID
-     * @param integer $maker_id メーカーID
-     * @return array 選択中の商品のメーカーIDの配列
-     *
-     */
-    function sfGetMakerId($product_id, $maker_id = 0, $closed = false)
+     * @param  integer $product_id プロダクトID
+     * @param  integer $maker_id   メーカーID
+     * @return array   選択中の商品のメーカーIDの配列
+     *
+     */
+    public function sfGetMakerId($product_id, $maker_id = 0, $closed = false)
     {
         if ($closed) {
@@ -1440,5 +1444,5 @@
             if (SC_Utils_Ex::sfIsInt($maker_id) && $maker_id != 0 && $this->sfIsRecord('dtb_maker','maker_id', $maker_id)) {
                 $this->g_maker_id = array($maker_id);
-            } else if (SC_Utils_Ex::sfIsInt($product_id) && $product_id != 0 && $this->sfIsRecord('dtb_products','product_id', $product_id, $status)) {
+            } elseif (SC_Utils_Ex::sfIsInt($product_id) && $product_id != 0 && $this->sfIsRecord('dtb_products','product_id', $product_id, $status)) {
                 $objQuery =& SC_Query_Ex::getSingletonInstance();
                 $maker_id = $objQuery->getCol('maker_id', 'dtb_products', 'product_id = ?', array($product_id));
@@ -1458,9 +1462,9 @@
      * $products_check:true商品登録済みのものだけ取得する
      *
-     * @param string $addwhere 追加する WHERE 句
-     * @param bool $products_check 商品の存在するカテゴリのみ取得する場合 true
-     * @return array カテゴリツリーの配列
-     */
-    function sfGetMakerList($addwhere = '', $products_check = false)
+     * @param  string $addwhere       追加する WHERE 句
+     * @param  bool   $products_check 商品の存在するカテゴリのみ取得する場合 true
+     * @return array  カテゴリツリーの配列
+     */
+    public function sfGetMakerList($addwhere = '', $products_check = false)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -1498,8 +1502,8 @@
      * 店舗基本情報に基づいて税金額を返す
      *
-     * @param integer $price 計算対象の金額
+     * @param  integer $price 計算対象の金額
      * @return integer 税金額
      */
-    function sfTax($price)
+    public function sfTax($price)
     {
         // 店舗基本情報を取得
@@ -1513,8 +1517,8 @@
      * SC_Utils_Ex::sfCalcIncTax とどちらか統一したほうが良い
      *
-     * @param integer $price 計算対象の金額
+     * @param  integer $price 計算対象の金額
      * @return integer 税金付与した金額
      */
-    function sfCalcIncTax($price, $tax = null, $tax_rule = null)
+    public function sfCalcIncTax($price, $tax = null, $tax_rule = null)
     {
         // 店舗基本情報を取得
@@ -1529,9 +1533,9 @@
      * 店舗基本情報に基づいて加算ポイントを返す
      *
-     * @param integer $totalpoint
-     * @param integer $use_point
+     * @param  integer $totalpoint
+     * @param  integer $use_point
      * @return integer 加算ポイント
      */
-    function sfGetAddPoint($totalpoint, $use_point)
+    public function sfGetAddPoint($totalpoint, $use_point)
     {
         // 店舗基本情報を取得
@@ -1546,8 +1550,8 @@
      * XXX プラグイン用に追加。将来消すかも。
      *
-     * @param string $sqlFilePath SQL ファイルのパス
+     * @param  string $sqlFilePath SQL ファイルのパス
      * @return void
      */
-    function sfExecSqlByFile($sqlFilePath)
+    public function sfExecSqlByFile($sqlFilePath)
     {
         if (file_exists($sqlFilePath)) {
@@ -1568,8 +1572,8 @@
      * 商品規格を設定しているか
      *
-     * @param integer $product_id 商品ID
-     * @return bool 商品規格が存在する場合:true, それ以外:false
-     */
-    function sfHasProductClass($product_id)
+     * @param  integer $product_id 商品ID
+     * @return bool    商品規格が存在する場合:true, それ以外:false
+     */
+    public function sfHasProductClass($product_id)
     {
         if (!SC_Utils_Ex::sfIsInt($product_id)) return false;
@@ -1585,8 +1589,8 @@
      * 店舗基本情報を登録する
      *
-     * @param array $arrData 登録するデータ
+     * @param  array $arrData 登録するデータ
      * @return void
      */
-    static function registerBasisData($arrData)
+    public static function registerBasisData($arrData)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -1616,7 +1620,7 @@
      * レコード件数を計算.
      *
-     * @param string $table
-     * @param string $where
-     * @param array $arrval
+     * @param  string  $table
+     * @param  string  $where
+     * @param  array   $arrval
      * @return integer レコード件数
      */
Index: /branches/version-2_13-dev/data/class/helper/SC_Helper_Address.php
===================================================================
--- /branches/version-2_13-dev/data/class/helper/SC_Helper_Address.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/helper/SC_Helper_Address.php	(revision 23124)
@@ -34,8 +34,8 @@
      * お届け先を登録
      *
-     * @param array $sqlval
+     * @param  array   $sqlval
      * @return array()
      */
-    function registAddress($sqlval)
+    public function registAddress($sqlval)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -75,8 +75,8 @@
      * お届け先を取得
      *
-     * @param integer $other_deliv_id
+     * @param  integer $other_deliv_id
      * @return array()
      */
-    function getAddress($other_deliv_id)
+    public function getAddress($other_deliv_id)
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -89,9 +89,9 @@
      * お届け先の一覧を取得
      *
-     * @param integer $customerId
-     * @param integer $startno
+     * @param  integer $customerId
+     * @param  integer $startno
      * @return array
      */
-    function getList($customer_id, $startno = '')
+    public function getList($customer_id, $startno = '')
     {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -108,8 +108,8 @@
      * お届け先の削除
      *
-     * @param integer $delivId
+     * @param  integer $delivId
      * @return void
      */
-    function deleteAddress($other_deliv_id)
+    public function deleteAddress($other_deliv_id)
     {
         $where      = 'other_deliv_id = ?';
@@ -121,8 +121,8 @@
      * お届け先フォーム初期化
      *
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
      * @return void
      */
-    function setFormParam(&$objFormParam)
+    public function setFormParam(&$objFormParam)
     {
         SC_Helper_Customer_Ex::sfCustomerCommonParam($objFormParam);
@@ -133,8 +133,8 @@
      * お届け先フォームエラーチェック
      *
-     * @param SC_FormParam $objFormParam SC_FormParam インスタンス
+     * @param  SC_FormParam $objFormParam SC_FormParam インスタンス
      * @return void
      */
-    function errorCheck(&$objFormParam)
+    public function errorCheck(&$objFormParam)
     {
         $objErr = SC_Helper_Customer_Ex::sfCustomerCommonErrorCheck($objFormParam);
